System.Design 2.0.0.0 System.Object System.Web.UI.Design.IDataSourceViewSchema

Use the class to list the structure of data using a at design time. Use the method to get a list of information about each field as objects.

The class is used by custom control designer components to provide UI options to the user at design time that accurately reflect the structure of the data.

To examine the components of data using a , use the following classes.

Represents the structure, or schema, of a . This class cannot be inherited.

- Constructor
  2.0.0.0
  To be added.

  Creates an instance of the class using a specified .

  The that the instance will describe.
- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema[]

  The method inherited from is not implemented in this class and always returns null.

  Gets an array representing the child views contained in the current view.

  null.

- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceFieldSchema[]

  The method does not return information about hidden fields.

  Gets an array containing information about each data field in the view.

  An array of objects.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the name of the view using its property.